local VERSION = tonumber(("$Revision: 43966 $"):match("%d+"))

local Parrot = Parrot
local Parrot_ScrollAreas = Parrot:NewModule("ScrollAreas")
if Parrot.revision < VERSION then
	Parrot.version = "r" .. VERSION
	Parrot.revision = VERSION
	Parrot.date = ("$Date: 2007-07-16 23:55:39 -0400 (Mon, 16 Jul 2007) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local L = Parrot:L("Parrot_ScrollAreas")

local scrollAreas = {
	["Notification"] = {
		align = "CENTER",
		animationStyle = "Straight",
		stickyAnimationStyle = "Pow",
		reverse = false,
		height = 150,
		xOffset = 0,
		yOffset = 100,
	},
	["Incoming"] = {
		align = "RIGHT",
		animationStyle = "Left parabola",
		stickyAnimationStyle = "Pow",
		reverse = true,
		height = 260,
		xOffset = -60,
		yOffset = -160,
	},
	["Outgoing"] = {
		align = "LEFT",
		animationStyle = "Right parabola",
		stickyAnimationStyle = "Pow",
		reverse = true,
		height = 260,
		xOffset = 60,
		yOffset = -160,
	},
}

local validate = {}

function Parrot_ScrollAreas:OnEnable()
	for k, v in pairs(scrollAreas) do
		if k == "Notification" or k == "Incoming" or k == "Outgoing" then
			validate[k] = L[k]
		else
			validate[k] = k
		end
	end
end

function Parrot_ScrollAreas:HasScrollArea(name)
	return not not scrollAreas[name]
end

function Parrot_ScrollAreas:GetScrollArea(name)
	return scrollAreas[name]
end

function Parrot_ScrollAreas:GetRandomScrollArea()
	local i = 0
	for k, v in pairs(scrollAreas) do
		i = i + 1
	end
	local num = math.random(1, i)
	i = 0
	for k, v in pairs(scrollAreas) do
		i = i + 1
		if i == num then
			return k, v
		end
	end
	return
end

function Parrot_ScrollAreas:GetScrollAreasValidate(name)
	return validate
end

